curl --compressed "https://api.coinmetrics.io/v4/timeseries/pair-metrics?pairs=btc-usd&metrics=volume_trusted_spot_usd_1d&frequency=1d&pretty=true&api_key=<your_key>"{
"data": [
{
"pair": "btc-usd",
"time": "2020-09-28T00:00:00.000000000Z",
"volume_trusted_spot_usd_1d": "317000178.776577"
},
{
"pair": "btc-usd",
"time": "2020-09-29T00:00:00.000000000Z",
"volume_trusted_spot_usd_1d": "246153685.485477"
},
{
"pair": "btc-usd",
"time": "2020-09-30T00:00:00.000000000Z",
"volume_trusted_spot_usd_1d": "217972373.240482"
},
{
"pair": "btc-usd",
"time": "2020-10-01T00:00:00.000000000Z",
"volume_trusted_spot_usd_1d": "492203699.871197"
}
]
}Pair metrics
Returns metrics for specified asset pairs.
Results are ordered by tuple (pair, time).
To fetch the next page of results use next_page_url JSON response field.
curl --compressed "https://api.coinmetrics.io/v4/timeseries/pair-metrics?pairs=btc-usd&metrics=volume_trusted_spot_usd_1d&frequency=1d&pretty=true&api_key=<your_key>"{
"data": [
{
"pair": "btc-usd",
"time": "2020-09-28T00:00:00.000000000Z",
"volume_trusted_spot_usd_1d": "317000178.776577"
},
{
"pair": "btc-usd",
"time": "2020-09-29T00:00:00.000000000Z",
"volume_trusted_spot_usd_1d": "246153685.485477"
},
{
"pair": "btc-usd",
"time": "2020-09-30T00:00:00.000000000Z",
"volume_trusted_spot_usd_1d": "217972373.240482"
},
{
"pair": "btc-usd",
"time": "2020-10-01T00:00:00.000000000Z",
"volume_trusted_spot_usd_1d": "492203699.871197"
}
]
}Authorizations
Query Parameters
Comma separated metrics to request time series data for.
Information on all available metrics can be found on page https://coverage.coinmetrics.io/pair-metrics-v2.
Use the /catalog-all-v2/pair-metrics endpoint for the full list of supported metrics per pair.
[
"volume_trusted_spot_usd_1h",
"volume_trusted_spot_usd_1d"
]
Start of the time interval.
This field refers to the time field in the response.
Multiple formats of ISO 8601 are supported: 2006-01-20T00:00:00Z, 2006-01-20T00:00:00.000Z, 2006-01-20T00:00:00.123456Z, 2006-01-20T00:00:00.123456789Z, 2006-01-20, 20060120.
Inclusive by default.
UTC timezone by default. Z suffix is optional and timezone parameter has a priority over it.
If start_time is omitted, response will include time series from the earliest time available.
End of the time interval.
This field refers to the time field in the response.
Multiple formats of ISO 8601 are supported: 2006-01-20T00:00:00Z, 2006-01-20T00:00:00.000Z, 2006-01-20T00:00:00.123456Z, 2006-01-20T00:00:00.123456789Z, 2006-01-20, 20060120.
Inclusive by default.
UTC timezone by default. Z suffix is optional and timezone parameter has a priority over it.
If end_time is omitted, response will include time series up to the latest time available.
Timezone name for start_time and end_time timestamps.
This parameter does not modify the output times, which are always UTC.
Format is defined by TZ database.
"America/New_York"
How results will be sorted. Metrics are sorted by (pair, time) by default. If you want to sort 1d metrics by (time, pair) you should choose time as value for the sort parameter.
Sorting by time is useful if you request metrics for a set of asset pairs.
pair, time 
